## libvirt 7.0.0

=== ci/Makefile ===
# -*- makefile -*-
# vim: filetype=make

# The root directory of the libvirt.git checkout
CI_GIT_ROOT = $(shell git rev-parse --show-toplevel)

# The root directory for all CI-related contents
CI_ROOTDIR = $(CI_GIT_ROOT)/ci

# The directory holding content on the host that we will
# expose to the container.
CI_SCRATCHDIR = $(CI_ROOTDIR)/scratch

# The directory holding the clone of the git repo that
# we will expose to the container
CI_HOST_SRCDIR = $(CI_SCRATCHDIR)/src

# The directory holding the source inside the
# container, i.e. where we want to expose
# the $(CI_HOST_SRCDIR) directory from the host
CI_CONT_SRCDIR = $(CI_USER_HOME)/libvirt

# Script containing environment preparation steps
CI_PREPARE_SCRIPT = $(CI_ROOTDIR)/prepare.sh

# Script containing build instructions
CI_BUILD_SCRIPT = $(CI_ROOTDIR)/build.sh

# Location of the container images we're going to pull
# Can be useful to override to use a locally built
# image instead
CI_IMAGE_PREFIX = registry.gitlab.com/libvirt/libvirt/ci-

# The default tag is ':latest' but if the container
# repo above uses different conventions this can override it
CI_IMAGE_TAG = :latest

# We delete the virtual root after completion, set
# to 0 if you need to keep it around for debugging
CI_CLEAN = 1

# We'll always freshly clone the virtual root each
# time in case it was not cleaned up before. Set
# to 1 if you want to try restarting a previously
# preserved env
CI_REUSE = 0

# We need the container process to run with current host IDs
# so that it can access the passed in build directory
CI_UID = $(shell id -u)
CI_GID = $(shell id -g)

# We also need the user's login and home directory to prepare the
# environment the way some programs expect it
CI_USER_LOGIN = $(shell echo "$$USER")
CI_USER_HOME = $(shell echo "$$HOME")

CI_ENGINE = auto
# Container engine we are going to use, can be overridden per make
# invocation, if it is not we try podman and then default to docker.
ifeq ($(CI_ENGINE),auto)
	override CI_ENGINE = $(shell podman version >/dev/null 2>&1 && echo podman || echo docker)
endif

# IDs you run as do not need to exist in
# the container's /etc/passwd & /etc/group files, but
# if they do not, then libvirt's 'ninja test' will fail
# many tests.

# We do not directly mount /etc/{passwd,group} as Docker
# is liable to mess with SELinux labelling which will
# then prevent the host accessing them. And podman cannot
# relabel the files due to it running rootless. So
# copying them first is safer and less error-prone.
CI_PWDB_MOUNTS = \
	--volume $(CI_SCRATCHDIR)/group:/etc/group:ro,z \
	--volume $(CI_SCRATCHDIR)/passwd:/etc/passwd:ro,z \
	$(NULL)

CI_HOME_MOUNTS = \
	--volume $(CI_SCRATCHDIR)/home:$(CI_USER_HOME):z \
	$(NULL)

CI_SCRIPT_MOUNTS = \
	--volume $(CI_SCRATCHDIR)/prepare:$(CI_USER_HOME)/prepare:z \
	--volume $(CI_SCRATCHDIR)/build:$(CI_USER_HOME)/build:z \
	$(NULL)

# Docker containers can have very large ulimits
# for nofiles - as much as 1048576. This makes
# libvirt very slow at exec'ing programs.
CI_ULIMIT_FILES = 1024

ifeq ($(CI_ENGINE),podman)
	# Podman cannot reuse host namespace when running non-root
	# containers.  Until support for --keep-uid is added we can
	# just create another mapping that will do that for us.
	# Beware, that in {uid,git}map=container_id:host_id:range, the
	# host_id does actually refer to the uid in the first mapping
	# where 0 (root) is mapped to the current user and rest is
	# offset.
	#
	# In order to set up this mapping, we need to keep all the
	# user IDs to prevent possible errors as some images might
	# expect UIDs up to 90000 (looking at you fedora), so we don't
	# want the overflowuid to be used for them.  For mapping all
	# the other users properly, some math needs to be done.
	# Don't worry, it's just addition and subtraction.
	#
	# 65536 ought to be enough (tm), but for really rare cases the
	# maximums might need to be higher, but that only happens when
	# your /etc/sub{u,g}id allow users to have more IDs.  Unless
	# --keep-uid is supported, let's do this in a way that should
	# work for everyone.
	CI_MAX_UID = $(shell sed -n "s/^$(CI_USER_LOGIN):[^:]\+://p" /etc/subuid)
	CI_MAX_GID = $(shell sed -n "s/^$(CI_USER_LOGIN):[^:]\+://p" /etc/subgid)
	ifeq ($(CI_MAX_UID),)
		CI_MAX_UID = 65536
	endif
	ifeq ($(CI_MAX_GID),)
		CI_MAX_GID = 65536
	endif
	CI_UID_OTHER = $(shell echo $$(($(CI_UID)+1)))
	CI_GID_OTHER = $(shell echo $$(($(CI_GID)+1)))
	CI_UID_OTHER_RANGE = $(shell echo $$(($(CI_MAX_UID)-$(CI_UID))))
	CI_GID_OTHER_RANGE = $(shell echo $$(($(CI_MAX_GID)-$(CI_GID))))

	CI_PODMAN_ARGS = \
		--uidmap 0:1:$(CI_UID) \
		--uidmap $(CI_UID):0:1 \
		--uidmap $(CI_UID_OTHER):$(CI_UID_OTHER):$(CI_UID_OTHER_RANGE) \
		--gidmap 0:1:$(CI_GID) \
		--gidmap $(CI_GID):0:1 \
		--gidmap $(CI_GID_OTHER):$(CI_GID_OTHER):$(CI_GID_OTHER_RANGE) \
		$(NULL)
endif

# Args to use when cloning a git repo.
#  -c  stop it complaining about checking out a random hash
#  -q  stop it displaying progress info for local clone
#  --local ensure we don't actually copy files
CI_GIT_ARGS = \
	-c advice.detachedHead=false \
	-q \
	--local  \
	$(NULL)

# Args to use when running the container
#   --rm      stop inactive containers getting left behind
#   --user    we execute as the same user & group account
#             as dev so that file ownership matches host
#             instead of root:root
#   --volume  to pass in the cloned git repo & config
#   --ulimit  lower files limit for performance reasons
#   --interactive
#   --tty     Ensure we have ability to Ctrl-C the build
CI_ENGINE_ARGS = \
	--rm \
	--interactive \
	--tty \
	$(CI_PODMAN_ARGS) \
	$(CI_PWDB_MOUNTS) \
	$(CI_HOME_MOUNTS) \
	$(CI_SCRIPT_MOUNTS) \
	--volume $(CI_HOST_SRCDIR):$(CI_CONT_SRCDIR):z \
	--ulimit nofile=$(CI_ULIMIT_FILES):$(CI_ULIMIT_FILES) \
	--cap-add=SYS_PTRACE \
	$(NULL)

ci-check-engine:
	@echo -n "Checking if $(CI_ENGINE) is available..." && \
	$(CI_ENGINE) version 1>/dev/null && echo "yes"

ci-prepare-tree: ci-check-engine
	@test "$(CI_REUSE)" != "1" && rm -rf $(CI_SCRATCHDIR) || :
	@if ! test -d $(CI_SCRATCHDIR) ; then \
		mkdir -p $(CI_SCRATCHDIR); \
		cp /etc/passwd $(CI_SCRATCHDIR); \
		cp /etc/group $(CI_SCRATCHDIR); \
		mkdir -p $(CI_SCRATCHDIR)/home; \
		cp "$(CI_PREPARE_SCRIPT)" $(CI_SCRATCHDIR)/prepare; \
		cp "$(CI_BUILD_SCRIPT)" $(CI_SCRATCHDIR)/build; \
		chmod +x "$(CI_SCRATCHDIR)/prepare" "$(CI_SCRATCHDIR)/build"; \
		echo "Cloning $(CI_GIT_ROOT) to $(CI_HOST_SRCDIR)"; \
		git clone $(CI_GIT_ARGS) $(CI_GIT_ROOT) $(CI_HOST_SRCDIR) || exit 1; \
		for mod in $$(git submodule | awk '{ print $$2 }' | sed -E 's,^../,,g') ; \
		do \
			test -f $(CI_GIT_ROOT)/$$mod/.git || continue ; \
			echo "Cloning $(CI_GIT_ROOT)/$$mod to $(CI_HOST_SRCDIR)/$$mod"; \
			git clone $(CI_GIT_ARGS) $(CI_GIT_ROOT)/$$mod $(CI_HOST_SRCDIR)/$$mod || exit 1; \
		done ; \
	fi

ci-run-command@%: ci-prepare-tree
	$(CI_ENGINE) run $(CI_ENGINE_ARGS) $(CI_IMAGE_PREFIX)$*$(CI_IMAGE_TAG) \
		/bin/bash -c ' \
		$(CI_USER_HOME)/prepare || exit 1; \
		sudo \
		  --login \
		  --user="#$(CI_UID)" \
		  --group="#$(CI_GID)" \
		  MESON_OPTS="$$MESON_OPTS" \
		  CI_CONT_SRCDIR="$(CI_CONT_SRCDIR)" \
		  CI_MESON_ARGS="$(CI_MESON_ARGS)" \
		  CI_NINJA_ARGS="$(CI_NINJA_ARGS)" \
		  $(CI_COMMAND) || exit 1'
	@test "$(CI_CLEAN)" = "1" && rm -rf $(CI_SCRATCHDIR) || :

ci-shell@%:
	$(MAKE) -C $(CI_ROOTDIR) ci-run-command@$* CI_COMMAND="/bin/bash"

ci-build@%:
	$(MAKE) -C $(CI_ROOTDIR) ci-run-command@$* CI_COMMAND="$(CI_USER_HOME)/build"

ci-test@%:
	$(MAKE) -C $(CI_ROOTDIR) ci-build@$* CI_NINJA_ARGS=test

ci-list-images:
	@echo
	@echo "Available x86 container images:"
	@echo
	@sh list-images.sh "$(CI_IMAGE_PREFIX)" | grep -v cross
	@echo
	@echo "Available cross-compiler container images:"
	@echo
	@sh list-images.sh "$(CI_IMAGE_PREFIX)" | grep cross
	@echo

ci-help:
	@echo "Build libvirt inside containers used for CI"
	@echo
	@echo "Available targets:"
	@echo
	@echo "    ci-build@\$$IMAGE - run a default 'ninja' build"
	@echo "    ci-check@\$$IMAGE - run a 'ninja test'"
	@echo "    ci-shell@\$$IMAGE - run an interactive shell"
	@echo "    ci-list-images  - list available images"
	@echo "    ci-help         - show this help message"
	@echo
	@echo "Available make variables:"
	@echo
	@echo "    CI_CLEAN=0          - do not delete '$(CI_SCRATCHDIR)' after completion"
	@echo "    CI_REUSE=1          - re-use existing '$(CI_SCRATCHDIR)' content"
	@echo "    CI_ENGINE=auto      - container engine to use (podman, docker)"
	@echo "    CI_MESON_ARGS=      - extra arguments passed to meson"
	@echo "    CI_NINJA_ARGS=      - extra arguments passed to ninja"
	@echo

=== debian/changelog ===
libvirt (7.0.0-3) unstable; urgency=medium

  * Team upload

  * [5ae74e0] libvirtd: Improve default file
  * [b11d3c3] virtlogd: Fix some bugs in the sysv init script

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 26 Feb 2021 16:46:34 +0100

libvirt (7.0.0-2) unstable; urgency=medium

  * Team upload

  [ Matthew Gabeler-Lee ]
  * [7391555] control: recommend qemu support for iscsi-direct
    - Closes: #981284

  [ Andrea Bolognani ]
  * [8048eef] control: Always use versioned deps for libvirt components
    - Closes: #981435
  * [effe0cd] control: Always explicitly depend on libvirt0
  * [d3c8ec2] control: Bump Standards-Version to 4.5.1

  [ Christian Ehrhardt ]
  * [3cbe8f9] d/control: avoid libvirt-clients to pull in libvirt-daemon
  * [295944d] systemd: start, but do not restart libvirt-guests.service
  * [ddbad4b] systemd: do not restart sockets

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 10 Feb 2021 23:23:32 +0100

libvirt (7.0.0-1) unstable; urgency=medium

  * Team upload

  [ Andrea Bolognani ]
  * [561e347] libvirt-daemon-config-nwfilter: Install new nwfilters
  * [56231e3] patches: Add backport/meson-Fix-cross-building-[...].patch
    - Closes: #980334

  [ Christian Ehrhardt ]
  * [6568c68] apparmor: allow hot-plug for qcow backing chains
    - Closes: #981001
  * [8173ce4] libvirt-daemon-config-*: reload libvirtd before restart
  * [dc21d88] systemd: Drop libvirtd dep from virt-guest-shutdown.target
    - Avoids reintroducing: #955216

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 28 Jan 2021 22:06:43 +0100

libvirt (6.9.0-4) unstable; urgency=medium

  * Team upload

  * [f5c0ebf] control: Strengthen dependencies between packages

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 22 Jan 2021 22:31:04 +0100

libvirt (6.9.0-3) unstable; urgency=medium

  * Team upload

  * [81999fb] rules: Move virt-aa-helper to libvirt-daemon
  * [b9b6a95] control: Make libvirt-daemon-system-{systemd,sysv} Arch: all

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 19 Jan 2021 23:10:20 +0100

libvirt (6.9.0-2) experimental; urgency=medium

  * Team upload

  [ Andrea Bolognani ]
  * [55504dd] libvirt-daemon-config-network: New binary package
    - Closes: #973489
  * [0168a25] libvirt-daemon-config-nwfilter: New binary package
  * [7ad0fe3] libvirt-daemon-driver-storage-iscsi-direct: New binary package
    - Closes: #918728
  * [aadb56a] libvirt-login-shell: New binary package
  * [807a8de] libvirt-clients: Move out virt-qemu-run
  * [3af477f] libvirt-daemon: Move out libvirt_lxc
  * [03f8bbb] libvirt-daemon: Move out sanlock-related files
  * [b94f649] libvirt-daemon: Move out bash-completion support
    - Closes: #904036

  [ Guido Günther ]
  * [acb5c16] d/control: Use qemu-system instead of qemu
    - Closes: #966239

  [ Christian Ehrhardt ]
  * [8c1bf5d] d/control: fix circular dependency on libvirt-daemon-driver-qemu
    - Closes: #963898
  * [3d8fdd2] apparmor: add local include for libvirt-qemu & libvirt-lxc

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 14 Jan 2021 23:51:32 +0100

=== debian/control ===
Source: libvirt
Section: libs
Priority: optional
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
 Laurent Léonard <laurent@open-minds.org>,
Build-Depends:
 augeas-tools,
 bash-completion,
 debhelper-compat (= 13),
 dh-apparmor [linux-any],
 dnsmasq-base,
 iptables (>= 1.8.1) [linux-any],
 kmod [linux-any],
 libapparmor-dev [linux-any],
 libattr1-dev [linux-any],
 libaudit-dev [linux-any],
 libcap-ng-dev [linux-any],
 libcurl4-gnutls-dev,
 libdevmapper-dev [linux-any],
 libfuse-dev [linux-any],
 libgcrypt20-dev,
 libglusterfs-dev [linux-any],
 libgnutls28-dev,
 libiscsi-dev [linux-any],
 libnetcf-dev (>= 1:0.2.3-3~) [linux-any],
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libnuma-dev [linux-any],
 libparted-dev (>= 2.2),
 libpcap0.8-dev,
 libpciaccess-dev,
 libpolkit-gobject-1-dev [linux-any],
 librados-dev [linux-any],
 librbd-dev [linux-any],
 libreadline-dev,
 libsanlock-dev [linux-any],
 libsasl2-dev,
 libselinux1-dev (>= 2.0.82) [linux-any],
 libssh2-1-dev,
 libudev-dev [linux-any],
 libwireshark-dev (>= 1.11.3),
 libwiretap-dev,
 libxen-dev (>= 4.3) [amd64 arm64 armhf i386],
 libxml2-dev (>= 2.9.2+really2.9.1+dfsg1-0.2),
 libxml2-utils,
 libyajl-dev,
 lvm2 [linux-any],
 meson (>= 0.54.0~),
 nfs-common,
 numad [linux-any],
 open-iscsi [linux-any],
 openssh-client,
 parted (>= 2.2),
 po-debconf,
 policykit-1 (>= 0.105-4~) [linux-any],
 python3,
 python3-docutils,
 qemu-system-common,
 qemu-utils,
 radvd [linux-any],
 systemtap-sdt-dev [linux-any],
 uuid-dev,
 xsltproc,
 zfsutils [kfreebsd-amd64 kfreebsd-i386],
 zlib1g-dev,
Build-Conflicts:
 dpkg-dev (= 1.15.3),
Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
Homepage: https://libvirt.org/
Standards-Version: 4.5.1
Rules-Requires-Root: no

Package: libvirt-clients
Section: admin
Architecture: any
Depends:
 libvirt0 (= ${binary:Version}),
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libvirt-daemon (= ${binary:Version}),
 libvirt-login-shell (= ${binary:Version}),
Breaks:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-driver-qemu (<< 6.9.0-2~),
Replaces:
 libvirt-daemon (<< 6.9.0-2~),
Description: Programs for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirt shell virsh and other client binaries.

Package: libvirt-login-shell
Section: admin
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends:
 libvirt-clients (= ${binary:Version}),
 libvirt-daemon-driver-lxc (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-clients (<< 6.9.0-2~),
Replaces:
 libvirt-clients (<< 6.9.0-2~),
Description: Isolate user sessions using LXC containers
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the virt-login-shell tool, which can be set as a user's
 login shell to isolate their sessions using LXC containers.

Package: libvirt-daemon
Section: admin
Architecture: any
Depends:
 libvirt-daemon-driver-qemu (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libvirt-daemon-driver-lxc (= ${binary:Version}),
 libvirt-daemon-driver-vbox (= ${binary:Version}),
 libvirt-daemon-driver-xen (= ${binary:Version}),
 libxml2-utils,
 netcat-openbsd,
 qemu-kvm | qemu-system (>= 0.9.1),
Suggests:
 libvirt-daemon-driver-storage-gluster (= ${binary:Version}),
 libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
 libvirt-daemon-driver-storage-rbd (= ${binary:Version}),
 libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
 libvirt-daemon-system (= ${binary:Version}),
 numad,
Enhances:
 qemu-kvm,
 qemu-system,
 xen,
Breaks:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-driver-lxc (<< 6.9.0-2~),
 libvirt-daemon-system (<< 6.9.0-3~),
 libvirt-sanlock (<< 6.9.0-2~),
Replaces:
 libvirt-daemon-system (<< 6.9.0-3~),
Description: Virtualization daemon
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the daemon libvirtd to manage the hypervisors.

Package: libvirt-daemon-driver-qemu
Section: admin
Architecture: linux-any
Depends:
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon (<< 6.0.0-1~),
Replaces:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon (<< 6.0.0-1~),
Description: Virtualization daemon QEMU connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for QEMU.

Package: libvirt-daemon-driver-lxc
Section: admin
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends:
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 6.9.0-2~),
Replaces:
 libvirt-daemon (<< 6.9.0-2~),
Description: Virtualization daemon LXC connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for LXC.

Package: libvirt-daemon-driver-vbox
Section: admin
Architecture: amd64 i386
Depends:
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 6.0.0-1~),
Replaces:
 libvirt-daemon (<< 6.0.0-1~),
Description: Virtualization daemon VirtualBox connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for VirtualBox.

Package: libvirt-daemon-driver-xen
Section: admin
Architecture: amd64 arm64 armhf i386
Depends:
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 6.0.0-1~),
Replaces:
 libvirt-daemon (<< 6.0.0-1~),
Description: Virtualization daemon Xen connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for Xen.

Package: libvirt-daemon-driver-storage-gluster
Section: admin
Architecture: linux-any
Depends:
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 3.7.0-3~),
Replaces:
 libvirt-daemon (<< 3.7.0-3~),
Description: Virtualization daemon glusterfs storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for GlusterFS.

Package: libvirt-daemon-driver-storage-iscsi-direct
Section: admin
Architecture: linux-any
Depends:
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 qemu-block-extra,
Description: Virtualization daemon iSCSI (libiscsi) storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains a libvirtd storage driver for iSCSI volumes implemented
 using libiscsi.

Package: libvirt-daemon-driver-storage-rbd
Section: admin
Architecture: linux-any
Depends:
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 3.7.0-3~),
Replaces:
 libvirt-daemon (<< 3.7.0-3~),
Description: Virtualization daemon RBD storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for RBD/Rados/Ceph.

Package: libvirt-daemon-driver-storage-zfs
Section: admin
Architecture: linux-any
Depends:
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 3.7.0-3~),
Replaces:
 libvirt-daemon (<< 3.7.0-3~),
Description: Virtualization daemon ZFS storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for ZFS.

Package: libvirt-daemon-system
Section: admin
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 gettext-base,
 iptables (>= 1.8.1-1) [linux-any] | firewalld,
 libvirt-clients (= ${binary:Version}),
 libvirt-daemon (= ${binary:Version}),
 libvirt-daemon-config-network (= ${source:Version}),
 libvirt-daemon-config-nwfilter (= ${source:Version}),
 libvirt-daemon-system-systemd (= ${source:Version}) | libvirt-daemon-system-sysv (= ${source:Version}),
 logrotate,
 policykit-1 [linux-any],
 ${misc:Depends},
Recommends:
 dmidecode,
 dnsmasq-base (>= 2.46-1),
 iproute2,
 mdevctl,
 parted,
Suggests:
 apparmor,
 auditd,
 nfs-common,
 open-iscsi [linux-any],
 pm-utils,
 radvd,
 systemd,
 systemtap,
 zfsutils,
Breaks:
 systemd-sysv (<< 224-1~),
Description: Libvirt daemon configuration files
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the configuration files to run the libvirt daemon as a
 system service.

Package: libvirt-daemon-system-systemd
Section: admin
Architecture: all
Depends:
 systemd-container,
 systemd-sysv,
 ${misc:Depends},
Conflicts:
 libvirt-daemon-system-sysv,

=== debian/rules ===
#!/usr/bin/make -f

DEB_RELEASE = $(shell dpkg-parsechangelog -SVersion | sed 's/[^-]\+-//')
DEB_BUILDDATE = $(shell dpkg-parsechangelog -SDate)
DEB_BUILDUSER = $(shell dpkg-parsechangelog -SMaintainer)
NULL =

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# If the build environment sets -Bsymbolic-functions, which is often used as
# hardening option, that would break libvirt build time self-testing.
# Therefore let dpkg-buildflag strip that option if present.
DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ARCHES_LXC  = alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
ARCHES_XEN  = amd64 arm64 armhf i386
ARCHES_VBOX = amd64 i386

ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
    ifneq (,$(findstring $(DEB_HOST_ARCH), $(ARCHES_VBOX)))
        WITH_VBOX             = -Ddriver_vbox=enabled
    else
        WITH_VBOX             = -Ddriver_vbox=disabled
    endif
    ifneq (,$(findstring $(DEB_HOST_ARCH), $(ARCHES_XEN)))
        WITH_LIBXL            = -Ddriver_libxl=enabled
    else
        WITH_LIBXL            = -Ddriver_libxl=disabled
    endif
    WITH_STORAGE_LVM          = -Dstorage_lvm=enabled
    WITH_STORAGE_ISCSI        = -Dstorage_iscsi=enabled
    WITH_STORAGE_ISCSI_DIRECT = -Dstorage_iscsi_direct=enabled
    WITH_STORAGE_DISK         = -Dstorage_disk=enabled
    WITH_STORAGE_RBD          = -Dstorage_rbd=enabled
    WITH_STORAGE_GLUSTER      = -Dstorage_gluster=enabled
    WITH_UDEV                 = -Dudev=enabled
    WITH_CAPNG                = -Dcapng=enabled
    WITH_LIBNL                = -Dlibnl=enabled
    WITH_NETWORK              = -Ddriver_network=enabled
    WITH_OPENVZ               = -Ddriver_openvz=enabled
    WITH_NETCF                = -Dnetcf=enabled
    WITH_POLKIT               = -Dpolkit=enabled
    WITH_SANLOCK              = -Dsanlock=enabled
    WITH_INIT_SCRIPT          = -Dinit_script=systemd
    WITH_FIREWALLD            = -Dfirewalld=enabled
    WITH_ATTR                 = -Dattr=enabled
    WITH_AUDIT                = -Daudit=enabled
    WITH_SELINUX              = -Dselinux=enabled -Dsecdriver_selinux=enabled -Dselinux_mount=/sys/fs/selinux
    WITH_APPARMOR             = -Dapparmor=enabled -Dsecdriver_apparmor=enabled -Dapparmor_profiles=true
    WITH_NSS_PLUGIN           = -Dnss=enabled
    WITH_DTRACE               = -Ddtrace=enabled
    WITH_NUMA                 = -Dnumactl=enabled -Dnumad=enabled
    ifneq (,$(findstring $(DEB_HOST_ARCH), $(ARCHES_LXC)))
        WITH_LXC              = -Ddriver_lxc=enabled
        WITH_LOGIN_SHELL      = -Dlogin_shell=enabled
    else
        WITH_LXC              = -Ddriver_lxc=disabled
        WITH_LOGIN_SHELL      = -Dlogin_shell=disabled
    endif
else
    WITH_VBOX                 = -Ddriver_vbox=disabled
    WITH_LIBXL                = -Ddriver_libxl=disabled
    WITH_STORAGE_LVM          = -Dstorage_lvm=disabled
    WITH_STORAGE_ISCSI        = -Dstorage_iscsi=disabled
    WITH_STORAGE_ISCSI_DIRECT = -Dstorage_iscsi_direct=disabled
    WITH_STORAGE_DISK         = -Dstorage_disk=disabled
    WITH_STORAGE_RBD          = -Dstorage_rbd=disabled
    WITH_STORAGE_GLUSTER      = -Dstorage_gluster=disabled
    WITH_UDEV                 = -Dudev=disabled
    WITH_CAPNG                = -Dcapng=disabled
    WITH_LIBNL                = -Dlibnl=disabled
    WITH_NETWORK              = -Ddriver_network=disabled
    WITH_OPENVZ               = -Ddriver_openvz=disabled
    WITH_NETCF                = -Dnetcf=disabled
    WITH_POLKIT               = -Dpolkit=disabled
    WITH_SANLOCK              = -Dsanlock=disabled
    WITH_INIT_SCRIPT          = -Dinit_script=none
    WITH_FIREWALLD            = -Dfirewalld=disabled
    WITH_ATTR                 = -Dattr=disabled
    WITH_AUDIT                = -Daudit=disabled
    WITH_SELINUX              = -Dselinux=disabled -Dsecdriver_selinux=disabled -Dselinux_mount=
    WITH_APPARMOR             = -Dapparmor=disabled -Dsecdriver_apparmor=disabled -Dapparmor_profiles=false
    WITH_NSS_PLUGIN           = -Dnss=disabled
    WITH_DTRACE               = -Ddtrace=disabled
    WITH_NUMA                 = -Dnumactl=disabled -Dnumad=disabled
    WITH_LXC                  = -Ddriver_lxc=disabled
    WITH_LOGIN_SHELL          = -Dlogin_shell=disabled
endif

DEB_CONFIGURE_EXTRA_ARGS := \
    --libexecdir=/usr/lib/libvirt \
    -Drunstatedir=/run \
    -Dpackager="$(DEB_BUILDUSER) $(DEB_BUILDDATE)" \
    -Dpackager_version="$(DEB_RELEASE)" \
    -Ddriver_qemu=enabled \
    -Dqemu_user=libvirt-qemu \
    -Dqemu_group=libvirt-qemu \
    -Dqemu_moddir=/usr/lib/$(DEB_HOST_MULTIARCH)/qemu \
    -Ddocs=enabled \
    -Dtests=enabled \
    $(WITH_OPENVZ) \
    -Dsasl=enabled \
    -Dyajl=enabled \
    -Dlibssh2=enabled \
    $(WITH_POLKIT) \
    $(WITH_SANLOCK) \
    $(WITH_UDEV) \
    -Dstorage_fs=enabled \
    -Dstorage_dir=enabled \
    $(WITH_STORAGE_LVM) \
    $(WITH_STORAGE_ISCSI) \
    $(WITH_STORAGE_ISCSI_DIRECT) \
    $(WITH_STORAGE_DISK) \
    -Dstorage_sheepdog=disabled \
    $(WITH_STORAGE_RBD) \
    $(WITH_STORAGE_GLUSTER) \
    -Dstorage_zfs=enabled \
    $(WITH_INIT_SCRIPT) \
    $(WITH_NUMA) \
    $(WITH_SELINUX) \
    $(WITH_APPARMOR) \
    -Ddriver_esx=enabled \
    $(WITH_CAPNG) \
    $(WITH_LIBNL) \
    $(WITH_NETWORK) \
    $(WITH_NETCF) \
    $(WITH_LIBXL) \
    $(WITH_VBOX) \
    $(WITH_LXC) \
    $(WITH_LOGIN_SHELL) \
    $(WITH_DTRACE) \
    $(WITH_AUDIT) \
    $(WITH_FIREWALLD) \
    $(WITH_ATTR) \
    $(WITH_NSS_PLUGIN) \
    -Dwireshark_dissector=enabled \
    $(NULL)

# Those have to stay up through upgrades to avoid interruptions
LIBVIRT_SYSTEM_SERVICES = \
    virtlogd.service \
    virtlockd.service \
    libvirt-guests.service \
    $(NULL)

LIBVIRT_SOCKETS = \
    libvirtd.socket \
    libvirtd-ro.socket \
    libvirtd-admin.socket \
    virtlogd.socket \
    virtlogd-admin.socket \
    virtlockd.socket \
    virtlockd-admin.socket \
    $(NULL)

DEB_BUILDDIR := $(CURDIR)/debian/build
DEB_DESTDIR := $(CURDIR)/debian/tmp
SRV_MONOLITHIC = libvirt-guests virtlogd virtlockd libvirtd libvirtd-tcp libvirtd-tls virt-guest-shutdown
# For split daemons later, as of 6.0 the remaining elments are
#SRV_SPLIT = virtnwfilterd virtinterfaced virtlxcd virtnetworkd virtnodedevd virtproxyd virtqemud virtsecretd virtstoraged virtvboxd virtxend virtproxyd-tcp virtproxyd-tls

%:
	dh $@ --builddirectory=$(DEB_BUILDDIR)

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_ARGS)

# The default timeout for tests in Meson is 30s, which is not enough
# for architectures with slow buildds: make the timeout 10 times
# larger (5m) to account for those
override_dh_auto_test:
	export LD_PRELOAD=""; \
	export VIR_TEST_DEBUG=1; \
	if ! dh_auto_test -- --timeout-multiplier 10; then \
	    cat $(DEB_BUILDDIR)/meson-logs/testlog.txt; \
	    exit 1; \
	fi

# After the upstream build system has installed libvirt into $(DEB_DESTDIR),
# we need to make some tweaks (add a few extra files, delete some contents
# we're not interested in, move things around) so that later calls to the
# various dh_* tools will work optimally. This target is the perfect place
# to perform such operations
override_dh_auto_install:
	dh_auto_install

	# Move upstream files where dh_* can find them
	mv $(DEB_DESTDIR)/etc/sysconfig/ \
	   $(DEB_DESTDIR)/etc/default/

	# Copy the release notes where dh_installdocs can find them
	cp NEWS.rst \
	   $(DEB_DESTDIR)/usr/share/doc/libvirt/NEWS

	# Add our backward compat polkit rule
	mkdir -p $(DEB_DESTDIR)/var/lib/polkit-1/localauthority/10-vendor.d/
	cp debian/polkit/60-libvirt.pkla \
	   $(DEB_DESTDIR)/var/lib/polkit-1/localauthority/10-vendor.d/

	# Rename the upstream polkit rule so that it matches the name used
	# historically in Debian, as well as that of the backwards compat
	# rules we just installed
	mv $(DEB_DESTDIR)/usr/share/polkit-1/rules.d/50-libvirt.rules \

## libvirt 7.6.0

=== debian/changelog ===
libvirt (7.6.0-0ubuntu1) impish; urgency=medium

  * Merge v7.6.0 from upstream and unreleased changes from Debian git.
    Among other bugs this fixes copy-storage-inc based migrations (LP: #1936778)
    - New upstream version 7.5.0
    - New upstream version 7.6.0
    - symbols: Bump symbol versions
    - refresh d/p/debian/Set-defaults-for-zfs-tools.patch for v7.5.0
    - patches: Refresh patches
    - d/rules: disable the new Cloud Hypervisor driver
    - d/rules: enable more features explicitly
    - d/rules: use apparmor_profiles=enabled instead of the now rejected
      value true
    - update d/p/debian/Revert-m4-virt-xdr-rewrite-XDR-check.patch: to detect
      XDR functions from glibc
  * d/control, d/rules: enable libssh (LP: #1939416)
  * refresh ubuntu patches for v7.6.0
  * Further fixups for v7.6.0 (thanks to Andrea Bolognani)
    - rules: Explicitly set remote_default_mode
    - rules: Rework installation of AppArmor-related files

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 11 Aug 2021 08:11:16 +0200

libvirt (7.4.0-0ubuntu3) impish; urgency=medium

  * d/t/smoke-lxc: skip if cgroup v1&v2 are present (systemd 248
    was not enough)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 08 Jul 2021 14:20:53 +0200

libvirt (7.4.0-0ubuntu2) impish; urgency=medium

  * d/t/smoke-lxc: skip before systemd 248 due to a known bug (LP: #1934966)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 08 Jul 2021 09:33:49 +0200

libvirt (7.4.0-0ubuntu1) impish; urgency=medium

  * Merge v7.4.0 from upstream,
    among a lot of new features and fixes this closes a few of issues
    reported against Ubuntu
    - Toleration for qemu >=6.0 handling of props (LP: #1932264)
    - Persistent vfio-ccw device assignments (LP: #1887929)
    - Drop patches that are upstream in v7.4.0
      - d/p/b/meson-Fix-cross-building-of-dtrace-probes.patch
      - d/p/b/apparmor-let-image-label-setting-loop-over-backing-files.patch
      - d/p/r/systemd-Revert-remote-Add-libvirtd-dependency-to-virt-gue.patch
      - d/p/u/lp-1913266-*: add vsock options to be usable with s390x
      - d/p/u/lp-1921754-*: EPYC-Rome-v2
      - d/p/u/lp-1921880-*: EPYC-Milan
    - d/libvirt-clients.install: completions no more are symlinked to vsh
    - Revert "disable firewalld support (universe dependency)"
      This does not add a runtime dependency and while firewalld isn't in
      main that way users can install and use it from universe.
      (LP: #1928113)
    - d/libvirt0.symbols: bump symbol versions for 7.4.0
    - d/rules: disable the now auto-built vstorage backend
    - not-installed: split daemon man pages are no yet installed

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 17 Jun 2021 10:33:27 +0200

libvirt (7.0.0-2ubuntu2) hirsute; urgency=medium

  * d/p/u/lp-1921754*: add EPYC-Rome-v2 as v1 missed IBRS and thereby fails
    on some HW/Guest combinations e.g. Windows 10 on Threadripper
    (LP: #1921754)
  * d/p/u/lp-1921880*: add EPYC-Milan features and named cpu type support
    (LP: #1921880)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 07 Apr 2021 13:33:46 +0200

libvirt (7.0.0-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian 7.0.0-1 from Debian unstable
    Remaining changes:
    - libvirt-uri.sh: Automatically switch default libvirt URI for users
      via user profile (xen URI on dom0, qemu:///system otherwise)
      [contains lintian fixups of 6.6.0-1ubuntu1]
    - Disable libssh2 support (universe dependency)
    - Disable firewalld support (universe dependency)
    - d/control: add libzfslinux-dev to build-deps
    - d/control: drop libvirt-lxc, vbox and xen drivers to suggest
    - d/control: breaks replaces for augeas lenses move in 6.0.0-1
      (follows Debian, droppable >22.04)
    - debian/rules: disable the netcf backend. (LP: 1764314)
    - debian/patches/ubuntu/ovmf_paths.patch: adjust paths to secboot.fd UEFI
      Secure Boot enabled variants of the OVMF firmware and variable store for
      the paths where we ship these files in Ubuntu.
    - Set qemu-group to kvm (for compat with older ubuntu)
    - Additional apport package-hook
    - Autostart default bridged network (As upstream does, but not Debian).
      In addition to just enabling it our solution provides:
      + do not autostart if subnet is already taken (e.g. in guests).
      + iterate some alternative subnets before giving up
    - d/p/ubuntu/Allow-libvirt-group-to-access-the-socket.patch: This is
      the group based access to libvirt functions as it was used in Ubuntu
      for quite a long time.
      + d/p/ubuntu/daemon-augeas-fix-expected.patch fix some related tests
        due to the group access change.
      + d/libvirt-daemon-system.postinst: add users in sudo to the libvirt
        group.
    - ubuntu/parallel-shutdown.patch: set parallel shutdown by default.
    - Update README.Debian with Ubuntu changes
    - d/p/ubuntu/ubuntu_machine_type.patch: accept ubuntu types as pci440fx
    - fix autopkgtests (LP 1899180)
      + d/t/control, d/t/smoke-qemu-session: fixup smoke-qemu-session by making
        vmlinuz available and accessible (Debian bug 848314)
      + d/t/control: fix smoke-qemu-session by ensuring the service will run
        installing libvirt-daemon-system
      + d/t/smoke-lxc: fix smoke-lxc by ignoring potential issues on destroy as
        long as the following undefine succeeds
      + d/t/smoke-lxc: use systemd instead of sysV to restart the service
      + d/t/control, d/t/smoke-lxc: retry service restart and skip test if
        failing; This was flaky on some release/architectures
      + d/t/smoke-lxc: retry check_domain being flaky on arm64
    - dnsmasq related enhancements
      [now contains dnsmasq-as-priv-user of 6.6.0-1ubuntu1]
      + run dnsmasq as libvirt-dnsmasq (LP: 1743718)
      + d/libvirt-daemon-system.postinst: add libvirt-dnsmasq user and group


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
  Laurent Léonard <laurent@open-minds.org>,
@@ -24,7 +25,6 @@
  libglusterfs-dev [linux-any],
  libgnutls28-dev,
  libiscsi-dev [linux-any],
- libnetcf-dev (>= 1:0.2.3-3~) [linux-any],
  libnl-3-dev [linux-any],
  libnl-route-3-dev [linux-any],
  libnuma-dev [linux-any],
@@ -38,7 +38,8 @@
  libsanlock-dev [linux-any],
  libsasl2-dev,
  libselinux1-dev (>= 2.0.82) [linux-any],
- libssh2-1-dev,
+ libtirpc-dev,
+ libssh-dev,
  libudev-dev [linux-any],
  libwireshark-dev (>= 1.11.3),
  libwiretap-dev,
@@ -46,6 +47,7 @@
  libxml2-dev (>= 2.9.2+really2.9.1+dfsg1-0.2),
  libxml2-utils,
  libyajl-dev,
+ libzfslinux-dev [linux-amd64 linux-arm64 linux-armhf linux-i386 linux-ppc64el linux-s390x],
  lvm2 [linux-any],
  meson (>= 0.54.0~),
  nfs-common,
@@ -128,9 +130,6 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- libvirt-daemon-driver-lxc (= ${binary:Version}),
- libvirt-daemon-driver-vbox (= ${binary:Version}),
- libvirt-daemon-driver-xen (= ${binary:Version}),
  libxml2-utils,
  netcat-openbsd,
  qemu-kvm | qemu-system (>= 0.9.1),
@@ -139,6 +138,9 @@
  libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
  libvirt-daemon-driver-storage-rbd (= ${binary:Version}),
  libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
+ libvirt-daemon-driver-lxc (= ${binary:Version}),
+ libvirt-daemon-driver-vbox (= ${binary:Version}),
+ libvirt-daemon-driver-xen (= ${binary:Version}),
  libvirt-daemon-system (= ${binary:Version}),
  numad,
 Enhances:
@@ -169,10 +171,10 @@
  ${shlibs:Depends},
 Breaks:
  libvirt-clients (<< 6.9.0-2~),
- libvirt-daemon (<< 6.0.0-1~),
-Replaces:
- libvirt-clients (<< 6.9.0-2~),
- libvirt-daemon (<< 6.0.0-1~),
+ libvirt-daemon (<< 6.6.0-1ubuntu1~),
+Replaces:
+ libvirt-clients (<< 6.9.0-2~),
+ libvirt-daemon (<< 6.6.0-1ubuntu1~),
 Description: Virtualization daemon QEMU connection driver
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -210,9 +212,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- libvirt-daemon (<< 6.0.0-1~),
-Replaces:
- libvirt-daemon (<< 6.0.0-1~),
+ libvirt-daemon (<< 6.6.0-1ubuntu1~),
+Replaces:
+ libvirt-daemon (<< 6.6.0-1ubuntu1~),
 Description: Virtualization daemon VirtualBox connection driver
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -230,9 +232,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- libvirt-daemon (<< 6.0.0-1~),
-Replaces:
- libvirt-daemon (<< 6.0.0-1~),
+ libvirt-daemon (<< 6.6.0-1ubuntu1~),
+Replaces:
+ libvirt-daemon (<< 6.6.0-1ubuntu1~),
 Description: Virtualization daemon Xen connection driver
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -364,12 +366,3 @@
  This package contains the configuration files to run the libvirt daemon as a
  system service.
 
-Package: libvirt-daemon-system-systemd
-Section: admin
-Architecture: all
-Depends:
- systemd-container,
- systemd-sysv,
- ${misc:Depends},
-Conflicts:
- libvirt-daemon-system-sysv,

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
     WITH_LIBNL                = -Dlibnl=enabled
     WITH_NETWORK              = -Ddriver_network=enabled
     WITH_OPENVZ               = -Ddriver_openvz=enabled
-    WITH_NETCF                = -Dnetcf=enabled
+    WITH_NETCF                = -Dnetcf=disabled
     WITH_POLKIT               = -Dpolkit=enabled
     WITH_SANLOCK              = -Dsanlock=enabled
     WITH_INIT_SCRIPT          = -Dinit_script=systemd
@@ -49,7 +49,7 @@
     WITH_ATTR                 = -Dattr=enabled
     WITH_AUDIT                = -Daudit=enabled
     WITH_SELINUX              = -Dselinux=enabled -Dsecdriver_selinux=enabled -Dselinux_mount=/sys/fs/selinux
-    WITH_APPARMOR             = -Dapparmor=enabled -Dsecdriver_apparmor=enabled -Dapparmor_profiles=true
+    WITH_APPARMOR             = -Dapparmor=enabled -Dsecdriver_apparmor=enabled -Dapparmor_profiles=enabled
     WITH_NSS_PLUGIN           = -Dnss=enabled
     WITH_DTRACE               = -Ddtrace=enabled
     WITH_NUMA                 = -Dnumactl=enabled -Dnumad=enabled
@@ -82,7 +82,7 @@
     WITH_ATTR                 = -Dattr=disabled
     WITH_AUDIT                = -Daudit=disabled
     WITH_SELINUX              = -Dselinux=disabled -Dsecdriver_selinux=disabled -Dselinux_mount=
-    WITH_APPARMOR             = -Dapparmor=disabled -Dsecdriver_apparmor=disabled -Dapparmor_profiles=false
+    WITH_APPARMOR             = -Dapparmor=disabled -Dsecdriver_apparmor=disabled -Dapparmor_profiles=disabled
     WITH_NSS_PLUGIN           = -Dnss=disabled
     WITH_DTRACE               = -Ddtrace=disabled
     WITH_NUMA                 = -Dnumactl=disabled -Dnumad=disabled
@@ -96,15 +96,21 @@
     -Dpackager="$(DEB_BUILDUSER) $(DEB_BUILDDATE)" \
     -Dpackager_version="$(DEB_RELEASE)" \
     -Ddriver_qemu=enabled \
+    -Ddriver_libvirtd=enabled \
+    -Ddriver_remote=enabled \
+    -Dremote_default_mode=legacy \
+    -Ddriver_test=enabled \
+    -Ddriver_ch=disabled \
     -Dqemu_user=libvirt-qemu \
-    -Dqemu_group=libvirt-qemu \
+    -Dqemu_group=kvm \
     -Dqemu_moddir=/usr/lib/$(DEB_HOST_MULTIARCH)/qemu \
     -Ddocs=enabled \
     -Dtests=enabled \
     $(WITH_OPENVZ) \
     -Dsasl=enabled \
     -Dyajl=enabled \
-    -Dlibssh2=enabled \
+    -Dlibssh2=disabled \
+    -Dlibssh=enabled \
     $(WITH_POLKIT) \
     $(WITH_SANLOCK) \
     $(WITH_UDEV) \
@@ -117,6 +123,7 @@
     -Dstorage_sheepdog=disabled \
     $(WITH_STORAGE_RBD) \
     $(WITH_STORAGE_GLUSTER) \
+    -Dstorage_vstorage=disabled \
     -Dstorage_zfs=enabled \
     $(WITH_INIT_SCRIPT) \
     $(WITH_NUMA) \
@@ -156,6 +163,21 @@
     virtlockd-admin.socket \
     $(NULL)
 
+APPARMOR_ABSTRACTIONS = \
+    libvirt-lxc \
+    libvirt-qemu \
+    $(NULL)
+
+APPARMOR_TEMPLATES = \
+    TEMPLATE.lxc \
+    TEMPLATE.qemu \
+    $(NULL)
+
+APPARMOR_SERVICES = \
+    usr.lib.libvirt.virt-aa-helper \
+    usr.sbin.libvirtd \
+    $(NULL)
+
 DEB_BUILDDIR := $(CURDIR)/debian/build
 DEB_DESTDIR := $(CURDIR)/debian/tmp
 SRV_MONOLITHIC = libvirt-guests virtlogd virtlockd libvirtd libvirtd-tcp libvirtd-tls virt-guest-shutdown
@@ -185,22 +207,9 @@
 # various dh_* tools will work optimally. This target is the perfect place
 # to perform such operations
 override_dh_auto_install:
+	mkdir -p debian/tmp/usr/share/apport/package-hooks
+	cp -f debian/libvirt-daemon.apport \
+	      debian/tmp/usr/share/apport/package-hooks/source_libvirt.py
 	dh_auto_install
-
-	# Move upstream files where dh_* can find them
-	mv $(DEB_DESTDIR)/etc/sysconfig/ \
-	   $(DEB_DESTDIR)/etc/default/
-
-	# Copy the release notes where dh_installdocs can find them
-	cp NEWS.rst \
-	   $(DEB_DESTDIR)/usr/share/doc/libvirt/NEWS
-
-	# Add our backward compat polkit rule
-	mkdir -p $(DEB_DESTDIR)/var/lib/polkit-1/localauthority/10-vendor.d/
-	cp debian/polkit/60-libvirt.pkla \
-	   $(DEB_DESTDIR)/var/lib/polkit-1/localauthority/10-vendor.d/
-
-	# Rename the upstream polkit rule so that it matches the name used
-	# historically in Debian, as well as that of the backwards compat
-	# rules we just installed
-	mv $(DEB_DESTDIR)/usr/share/polkit-1/rules.d/50-libvirt.rules \
+	# copy dnsmasq configuration
+	mkdir -p debian/tmp/etc/dnsmasq.d-available
